package com.cygnusa.hyperm.wrappers;

public class RatingOption {

    private String id;
    private String rating_text;
    private String score;
    private String selected;
    private boolean isChecked;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRating_text() {
        return rating_text;
    }

    public void setRating_text(String rating_text) {
        this.rating_text = rating_text;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public boolean isChecked() {
        return selected == null ? isChecked : selected.trim().equalsIgnoreCase("1");
    }

    public void setChecked(boolean checked) {
        isChecked = checked;
        selected = isChecked ? "1" : "0";
    }

    public String getSelected() {
        return selected;
    }

    public void setSelected(String selected) {
        this.selected = selected;
    }
}
